General developer forum

Adding environment dependency checking to custom plugin

 
Picture of Darko Miletić
Re: Adding environment dependency checking to custom plugin - HACK working but when using CI
Core developersParticularly helpful Moodlers

You just need to be creative here. Try setting the Moodle version to something far in the future.

$plugin->requires = 2017051500;
$branch = (int)$CFG->branch;
if ($branch > 33) {
    $plugin->requires = 2045051500;
}



 
Average of ratings: Useful (2)